Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xdb.event
Class XDBPath

`java.lang.Object
oracle.xdb.event.XDBPath`

      public class XDBPath

extends java.lang.Object

This class stores information about the path of a resource

Since:
  release specific (what release of product did this appear in)

Field Summary
`protected long` `m_pathcstate`

Method Summary
`java.lang.String` `getName()` Returns the string representation of the path.
`XDBPath` `getParentPath(int level)` Returns the path of the parent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_pathcstate

    protected long m_pathcstate

Method Detail

### getParentPath

    public XDBPath getParentPath(int level)

  Returns the path of the parent. The level indicates the number of levels up the hierarchy. This value must be greater than zero. Level 1 means the immediate parent. If level exceeds the height of the tree then a null is returned.
  Parameters:
    `level` - - The number of levels up the hierarchy
  Returns:
    The path of the parent

### getName

    public java.lang.String getName()

  Returns the string representation of the path.
  Returns:
    The path of the resource

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.